<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <title>GIMServer</title>
    <link rel="stylesheet" href="{{ url_for('static', filename= 'css/index.css') }}"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="{{ url_for('static', filename= 'js/index.js') }}"></script>
    <script src="{{ url_for('static', filename= 'js/home.js') }}"></script>

</head>
<body>
<main>
    <h1>GIMServer: {{ global_name }}</h1>
    <p>Targets | <a href="/peers" >Peers</a> | <a href="/cluster" >Cluster Visualization</a> | <a href="/swathe" >Swathe</a></p>
    <input type="hidden" id="ip" value="{{ global_ip }}"/>
    <input type="hidden" id="name" value="{{ global_name }}"/>

    <div class="targets-wrap">
        {% for target in targets %}
        <div class="target-wrap">
            <h2>{{ target['name'] }} <span class="target-type">{{ target['req_type']|upper }}</span></h2>
            <div>{{ target['to_ip'] }}: {{ target['to_port'] }} <a
                    href="target/{{ target['to_ip'] }}/{{ target['to_port'] }}">Track</a> | <a
                    style="color: red" href="#" data-ip="{{ target['to_ip'] }}"
                    data-port="{{ target['to_port'] }}"
                    onclick="deleteTarget(this.getAttribute('data-ip'), this.getAttribute('data-port'))">Delete</a>

            </div>
            <hr>
        </div>
        {% endfor %}
    </div>

    <div class="target-acquire">
        <h2>Acquire Target</h2>
        <form class="target-acquire__inner" onsubmit="addTarget(); return false;">
            <label>
                Name
                <input class="ta__name" type="text" placeholder="Name (display only)"/>
            </label>
            <label>
                IP Address
                <input class="ta__ip" type="text" placeholder="IP address"/>
            </label>
            <label>
                Port
                <input class="ta__port" type="text" placeholder="Port number"/>
            </label>
            <label>
                Monitor Type
                <select class="ta__req-type">
                    <option value="UDP">UDP</option>
                    <option value="ICMP">ICMP</option>
                </select>
            </label>
            <button>Add</button>
        </form>
    </div>
</main>
</body>
</html>
